Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
- AbstractOrMissingHandler
- ExprTyper
- IMain
- ImportContextPreamble
- Imports
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- Phased
- Power
- PresentationCompilation
- PresentationCompilationResult
- Repl
- ReplCore
- ReplDir
- ReplGlobal
- ReplOutput
- ReplReporter
- ReplRequest
- ReplStrings
- ReplVals
- Results
- ScriptedInterpreter
- ScriptedRepl
- StdReplTags
- StdReplVals

o

scala.tools.nsc.interpreter

# StdReplTags

###
Companion trait StdReplTags

#### object StdReplTags extends StdTags with StdReplTags

Source
  StdReplTags.scala

Linear Supertypes
StdReplTags, StdTags, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StdReplTags
2. StdReplTags
3. StdTags
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  val m: Mirror
    Definition Classes
      StdReplTags → StdTags
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  lazy val tagOfBigDecimal: reflect.api.JavaUniverse.TypeTag[BigDecimal]
    Definition Classes
      StdTags
18.  lazy val tagOfBigInt: reflect.api.JavaUniverse.TypeTag[BigInt]
    Definition Classes
      StdTags
19.  lazy val tagOfCalendar: reflect.api.JavaUniverse.TypeTag[Calendar]
    Definition Classes
      StdTags
20.  lazy val tagOfClassLoader: reflect.api.JavaUniverse.TypeTag[ClassLoader]
    Definition Classes
      StdTags
21.  lazy val tagOfDate: reflect.api.JavaUniverse.TypeTag[Date]
    Definition Classes
      StdTags
22.  lazy val tagOfDirectory: reflect.api.JavaUniverse.TypeTag[Directory]
    Definition Classes
      StdTags
23.  lazy val tagOfFile: reflect.api.JavaUniverse.TypeTag[File]
    Definition Classes
      StdTags
24.  lazy val tagOfIMain: reflect.api.JavaUniverse.TypeTag[IMain]
    Definition Classes
      StdReplTags
25.  lazy val tagOfInt: reflect.api.JavaUniverse.TypeTag[Int]
    Definition Classes
      StdTags
26.  lazy val tagOfListOfString: reflect.api.JavaUniverse.TypeTag[List[String]]
    Definition Classes
      StdTags
27.  lazy val tagOfRepl: reflect.api.JavaUniverse.TypeTag[Repl]
    Definition Classes
      StdReplTags
28.  def tagOfStaticClass[T](implicit arg0: ClassTag[T]): reflect.api.JavaUniverse.TypeTag[T]
    Attributes
      protected
    Definition Classes
      StdTags
29.  lazy val tagOfStdReplVals: reflect.api.JavaUniverse.TypeTag[StdReplVals]
    Definition Classes
      StdReplTags
30.  lazy val tagOfString: reflect.api.JavaUniverse.TypeTag[String]
    Definition Classes
      StdTags
31.  lazy val tagOfThrowable: reflect.api.JavaUniverse.TypeTag[java.lang.Throwable]
    Definition Classes
      StdTags
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  val u: universe.type
    Definition Classes
      StdReplTags → StdTags
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from StdReplTags

### Inherited from StdTags

### Inherited from AnyRef

### Inherited from Any

### Ungrouped